/*
 * debug_trace.h
 *
 *  Created on: Aug 30, 2010
 *      Author:
 */

#ifndef DEBUG_TRACE_H_
#define DEBUG_TRACE_H_

#ifdef DEBUG_TRACE
#define TRACE_MODE_INSTR	1
#define TRACE_MODE_OPCODE	2
#define TRACE_MODE_ADDRESS	4

typedef unsigned int trace_u32;
typedef unsigned short trace_u16;

bool TraceStart(int aMode, bool aUseCounter, bool aCaseSensitive);
bool TraceStop();
size_t TraceLog (int aModeMask, trace_u32 aInstrAddr, trace_u16 aOpcode, trace_u32 aAddress, const char *aRW, trace_u32 aData, trace_u32 aNewData);

int TraceGetMode();
#endif /* DEBUG_TRACE */

#endif /* DEBUG_TRACE_H_ */
